import { AuthDataSource } from '../../domain/datasources/auth_datasource';
import { RegisterInfoEntity } from '../../domain/entities/register_info';
import { UserInfoEntity } from '../../domain/entities/user_info_entity';
import { AuthRepository } from '../../domain/repositories/auth_repository';
export class AuthRepositoryImpl implements AuthRepository {
    constructor(private authDataSource: AuthDataSource) {
    }
    async login(email: string, password: string) {
        return await this.authDataSource.login(email, password);
    }
    async register(user: RegisterInfoEntity) {
        return await this.authDataSource.register(user);
    }
}